%define _x_includes %{_prefix}/X11R6/include
%define _x_libraries %{_prefix}/X11R6/lib
%define _resdir %{_x_libraries}/X11

Name: xawtv
Summary: A TV application for video4linux compliant devices
Version: 3.95
Release: 1%{?dist}
Group: Applications/Multimedia
License: GPL
URL: http://linux.bytesex.org/xawtv/
#Source0: http://dl.bytesex.org/releases/xawtv/%{name}-%{version}.tar.gz
Source0: %{name}-%{version}.tar.bz2
Source2: v4l-conf.pam
Patch0: xawtv-3.95-gcc4.patch
Patch1: xawtv_3.74-strip.patch
Patch2: xawtv-3.95-fs.patch
BuildRequires: libXt-devel, libFS-devel, libXaw-devel, libXpm-devel, libXext-devel
BuildRequires: ncurses-devel, make >= 1:3.80
BuildRequires: fileutils
Requires: usermode, tv-fonts >= 1.0
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libjpeg-devel, libpng-devel, alsa-lib-devel, zvbi-devel, aalib-devel, lirc-devel, libdv-devel, glib-devel, freetype-devel
#BuildRequires: libquicktime-devel
Excludearch: sparc s390 s390x
Obsoletes: xawtv-tv-fonts

%description
Xawtv is a simple xaw-based TV program which uses the bttv driver or
video4linux. Xawtv contains various command-line utilities for
grabbing images and .avi movies, for tuning in to TV stations, etc.
Xawtv also includes a grabber driver for vic.

%prep
%setup -q
%patch0 -p1 -b .gcc4
%patch1 -p1 -b .strip
%patch2 -p1 -b .fs
perl -pi -e's,/usr/X11R6/include,%{_x_includes},' Makefile.in
grep -rl '#include <quicktime' . | xargs perl -pi -e's,#include <quicktime,#include <lqt,'

%build
PATH=$PATH:%{_x_bindir} ; export PATH
%configure --x-include=%{_x_includes} \
	   --x-libraries=%{_x_libraries} \
	   --disable-motif \
	   resdir=%{_resdir}
#make depend
make

%install
rm -rf %{buildroot}

PATH=$PATH:%{_x_bindir} ; export PATH
%makeinstall SUID_ROOT="" \
	resdir=%{?buildroot:%{buildroot}}%{_resdir} \
	datadir=%{?buildroot:%{buildroot}}%{_datadir}/xawtv \
	libdir=%{?buildroot:%{buildroot}}%{_libdir}/xawtv

mkdir -p %{buildroot}%{_sbindir} \
         %{buildroot}%{_sysconfdir}/pam.d \
         %{buildroot}%{_sysconfdir}/security/console.apps


install -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pam.d/v4l-conf
echo "SESSION=true" > %{buildroot}%{_sysconfdir}/security/console.apps/v4l-conf
echo "USER=root"   >> %{buildroot}%{_sysconfdir}/security/console.apps/v4l-conf
echo "PROGRAM=%{_sbindir}/v4l-conf" >> %{buildroot}%{_sysconfdir}/security/console.apps/v4l-conf
mv %{buildroot}%{_bindir}/v4l-conf %{buildroot}%{_sbindir}/
ln -s consolehelper %{buildroot}%{_bindir}/v4l-conf

# remove motv
rm -f %{buildroot}%{_mandir}/man1/motv*

# XXX to avoid dependency on perl because of doc file
chmod a-x contrib/vtx2xawtv/vtx2xawtv

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_resdir}/app-defaults/Xawtv
%config(noreplace) %{_sysconfdir}/pam.d/v4l-conf
%config(noreplace) %{_sysconfdir}/security/console.apps/v4l-conf
%{_bindir}/*
%{_libdir}/xawtv
%{_datadir}/xawtv
%attr(0755,root,root) %{_sbindir}/v4l-conf
%{_mandir}/man?/*
%lang(es) %{_mandir}/es/*/*
%lang(fr) %{_mandir}/fr/*/*
%doc COPYING README* TODO Changes
%doc contrib/*

%changelog
* Sat Nov 25 2006 Peter Hanecak <hany@hany.sk> 3.95-1
- synchronized with ATRPMS' xawtv-3.95-19 package

* Sun Aug 20 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 3.95-19
- Make specfile distro-agnostic.

* Sun Aug 20 2006 Thomas Moschny <moschny@ipd.uka.de> - 3.95-18
- adds patch for include problem in console/fs.h
- adds missing dependencies
- fixes %_resdir for fc5
- excludes debug files from the main package

* Sun Feb 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Deactivate qt support due to incompatible changes in libquicktime
  0.9.8.

* Wed Oct 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.95.

* Sun Jul 18 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.93.

* Fri May 14 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.92.

* Wed Feb 11 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.91.

* Thu Oct  9 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.88.1.

* Wed Jun 11 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.88.

* Wed Mar 19 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 3.86.

* Wed Mar 12 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Synced with rawhide.
- Update to 3.85.
- Split off tv-fonts.

* Sun Feb 10 2003 Than Ngo <than@redhat.com> 3.81-6
- install correct pam file, #83820

* Tue Jan 28 2003 Peter Hanecak <hanecak@megaloman.sk> 3.83-1
- update to 3.83
- .bz2 source archiv
- fonts are from now in tv-fonts package

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 3.81-5
- fix #81791

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Than Ngo <than@redhat.com> 3.81-3
- fix #81851

* Mon Dec 16 2002 Than Ngo <than@redhat.com> 3.81-2
- rebuild

* Fri Dec 13 2002 Than Ngo <than@redhat.com> 3.81-1
- update 3.81
- move bitmap fonts to bitmap-fonts package

* Sun Nov 24 2002 Axel Thimm <Axel.Thimm@ATrpms.net>
- Synced with rawhide.

* Tue Nov 12 2002 Nalin Dahyabhai <nalin@redhat.com> 3.78-2
- adjust PAM configuration to not use absolute paths so that the right module
  set gets used for the current arch on multilib systems

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.78-1
- 3.78

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Than Ngo <than@redhat.com> 3.74-3
- Don't forcibly strip binaries

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Harald Hoyer <harald@redhat.de>
- 3.74

* Sun Apr 07 2002 han Ngo <than@redhat.com> 3.73-3
- remove motv manpage (#62771)

* Tue Apr  2 2002 Than Ngo <than@redhat.com> 3.73-2
- get rid of openmotif

* Sun Mar 24 2002 Than Ngo <than@redhat.com> 3.73-1
- update
- fix bug #61719

* Fri Mar 22 2002 Tim Powers <timp@redhat.com>
- rebuilt motv against new openmotif-2.2.2

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 3.72-1
- update to 3.72

* Tue Feb 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.71-1
- 3.71

* Fri Jan 18 2002 Than Ngo <than@redhat.com> 3.68-1
- update to 3.68
- enable XFree extensions
- fix Url
- add missing plugins

* Wed Dec  5 2001 Than Ngo <than@redhat.com> 3.65-1
- update to 3.65
- fix build on ia64

* Wed Nov 14 2001 Than Ngo <than@redhat.com> 3.64-1
- update to 3.64

* Mon Sep 17 2001 Than Ngo <than@redhat.com> 3.62-1
- update to 3.62 (bug #53711 #52847)

* Tue Aug 28 2001 Than Ngo <than@redhat.com> 3.54-5
- fix spec file bug (Bug #52675)

* Fri Aug 10 2001 Than Ngo <than@redhat.com> 3.54-4
- add requires usermode (bug #51474)

* Sun Aug  5 2001 Nalin Dahyabhai <nalin@redhat.com> 3.54-3
- tweak PAM setup so that v4l-conf can access the display properly

* Tue Jul 10 2001 Elliot Lee <sopwith@redhat.com> 3.54-2
- Rebuild to remove libXv/libXxf86dga deps

* Mon Jul 02 2001 Than Ngo <than@redhat.com>
- update to 3.54

* Fri Jun 22 2001 Than Ngo <than@redhat.com>
- update to 3.53
- add buildprereq
- remove some uneeeded patches

* Tue Jun 19 2001 Karsten Hopp <karsten@redhat.de>
- excludearch s390 s390x

* Wed Jun 13 2001 Than Ngo <than@redhat.com>
- update to 3.51

* Thu Jun 07 2001 Than Ngo <than@redhat.com>
- update to 3.50

* Thu May 31 2001 Than Ngo <than@redhat.com>
- udate to 3.49

* Tue May 22 2001 Than Ngo <than@redhat.com>
- update to 3.48

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- built for the distro

* Wed May 18 2001 Karsten Hopp <karsten@redhat.de>
- make xawtv work with kernel-2.4

* Wed May 16 2001 Than Ngo <than@redhat.com>
- update to 3.47

* Mon May 07 2001 Than Ngo <than@redhat.com>
- update to 3.45
- add missing fonts

* Tue Feb 13 2001 Than Ngo <than@redhat.com>
- update to 3.34
- use consolehelper for v4l-conf
- add excludearch sparc, bdftopcf is broken on sparc

* Wed Jan 24 2001 Than Ngo <than@redhat.com>
- updated to 3.30
- use /dev/video0 instead /dev/video (bug #24871)
- fixed dependencies (Bug #24881)
 
* Sun Nov 19 2000 Than Ngo <than@redhat.com>
- update to 3.24
- add missing tools (rootv,scantv)
- add missing prereq on xset and mkfontdir

* Fri Nov 3 2000 Than Ngo <than@redhat.com>
- update to 3.23

* Wed Aug 23 2000 Tim Powers <timp@redhat.com>
- rebuilt against new XFree86 to fix DGA problems

* Mon Aug 21 2000 Than Ngo <than@redhat.com>
- update to 3.18 (Bugfix release)
- option -nodga to disable DGA (Bug #16577, #15702)
- compress fonts with gzip

* Mon Aug 07 2000 Tim Powers <timp@redhat.com>
- fixed bug #15435

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- rebuilt against the new DGA
- fixed in post and postun, so that it does not
  emits to console (Bug #15436)


* Sat Jul 29 2000 Than Ngo <than@redhat.de>
- update to 3.17

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- FHS fixes

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun May 28 2000 Ngo Than <than@redhat.de>
- update to 3.14 for 7.0
- put man page in correct place
- add webcam
- bzip2 source
- cleanup specfile

* Wed Jan 19 2000 Preston Brown <pbrown@redhat.com>
- font fix (#8610) in post and postun
- add missing files in bin

* Sun Jan 16 2000 Preston Brown <pbrown@redhat.com>
- whoops! 3.07 already bugfix release

* Fri Jan 14 2000 Ngo Than <than@redhat.de>
- updated to 3.06

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- updated to 2.46
- built for 6.1

* Wed Apr 28 1999 Preston Brown <pbrown@redhat.com>
- initial build for Powertools 6.0
